For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardGet started
  • Getting Started
    • Introduction
    • Quickstart
    • Errors
  • Core Concepts
    • Capabilities
    • Containers
    • Gateway
    • Wallets and top-ups
    • Grants and controls
    • Mandates
    • Approvals
    • Receipts
    • Settlements
  • Authentication
    • Authentication overview
    • Wallet sign-in (SIWE)
    • Connected apps (OAuth)
  • Guides
    • Call a capability
    • Monetize an API
    • Apply for public capability
    • Realtime notifications
  • Agents
    • MCP
    • CLI
  • Admin
    • Capability applications
  • API Reference
    • Overview
    • Authentication
  • Generated API Explorer
      • POSTBuild SIWE-style challenge for mandate signing
      • GETList mandates
      • POSTCreate a signed mandate
      • GETGet a mandate
      • DELCancel a mandate
      • POSTFulfill against a mandate
LogoLogo
DashboardGet started
Generated API ExplorerIntent Mandates

List mandates

GET
/v1/intent-mandates
GET
/v1/intent-mandates
$curl https://api.lipafy.xyzyz/v1/intent-mandates \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "mandates": [
3 {
4 "id": "string",
5 "natural_language_description": "string",
6 "capability_slug_patterns": [
7 "string"
8 ],
9 "allowed_merchants": [
10 "string"
11 ],
12 "max_amount_per_fulfillment": "string",
13 "total_budget": "string",
14 "consumed_amount": "string",
15 "currency_code": "string",
16 "max_fulfillments": 1,
17 "fulfillment_count": 1,
18 "expires_at": "2024-01-15T09:30:00Z",
19 "status": "open",
20 "created_at": "2024-01-15T09:30:00Z"
21 }
22 ]
23}
Was this page helpful?
Previous

Create a signed mandate

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

statusenumOptional
Allowed values:

Response

OK
mandateslist of objects